-- [C6Mart].[RM_Sintesi_Cliente] 179
CREATE procedure [C6MartPeriodico].[RM_Sintesi_Cliente]
	@IdReport INT
AS
BEGIN
	SET NOCOUNT ON;
	SELECT 
		ANAG_CLIENTI.NOME + ' ' + ANAG_CLIENTI.COGNOME AS NomeCognome,
		ANAG_CLIENTI.DATA_NASCITA AS DataNascita,
		ANAG_CLIENTI.COD_FISCALE AS CodiceFiscale,
		CONTRATTOSEI.CODICECONTRATTO AS CodiceContratto,
		ISNULL(CONTRATTOSEI.INDIRIZZO,'') + ' ' +
		ISNULL(CONTRATTOSEI.CAP,'') + ' ' +
		ISNULL(CONTRATTOSEI.CITTA,'') + 
		CASE 
			WHEN CONTRATTOSEI.PROV IS NULL THEN ''
			ELSE ' (' + CONTRATTOSEI.PROV + ')'  
		END AS IndirizzoDiContratto,
		isnull(CONTRATTOSEI.PRESSO,'') AS Presso
	FROM C6MARTPERIODICO.GESTIONE_PDF_FTP
	INNER JOIN C6MART.CONTRATTOSEI
		ON CONTRATTOSEI.RETE = GESTIONE_PDF_FTP.RETE 
		AND CONTRATTOSEI.COD_FISCALE = GESTIONE_PDF_FTP.CODICEFISCALE
	INNER JOIN C6MARTPERIODICO.ANAG_CLIENTI 
		ON ANAG_CLIENTI.RETE = CONTRATTOSEI.RETE 
		AND ANAG_CLIENTI.COD_FISCALE = CONTRATTOSEI.COD_FISCALE
	WHERE GESTIONE_PDF_FTP.IDREPORT = @IdReport
END